<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingHorizontal="16dp"
    android:paddingTop="10dp"
    android:paddingBottom="12dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_mute"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_setting_mute_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/im_setting_mute"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/v_mute_switch"
            style="@style/CommonSwitch"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:background="@color/color_FFF2F3F5"
        app:layout_constraintBottom_toBottomOf="@id/cl_mute"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_mark"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_mute">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_setting_mark_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/im_setting_mark"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:background="@color/color_FFF2F3F5"
        app:layout_constraintBottom_toBottomOf="@id/cl_mark"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_black"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_mark">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_setting_black_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_black"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/im_setting_black"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:background="@color/color_FFF2F3F5"
        app:layout_constraintBottom_toBottomOf="@id/cl_black"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_report"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_black">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_setting_report_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/im_setting_report"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>